RHEL 7:OpenShift Container Platform 3.10(RHSA-2019:2690)(Pingフラッド)(リセットフラッド)

high Nessus プラグイン ID 128849
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

atomic-openshiftの更新プログラムが、Red Hat OpenShift Container Platform 3.10で利用可能になりました。Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重要度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。Red Hat OpenShift Container Platformは、オンプレミスまたはプライベートクラウド展開用に設計された、Red HatのクラウドコンピューティングKubernetesアプリケーションプラットフォームソリューションです。セキュリティ修正プログラム:* HTTP/2:PINGフレームを使用したフラッドによる無制限のメモリ増加(CVE-2019-9512)* HTTP/2:HEADERSフレームを使用したフラッドによる無制限のメモリ増加(CVE-2019-9514)* kubernetes:APIサーバーが、リソースが名前空間であるかのようにクラスター用のカスタムリソースへのアクセスを許可(CVE-2019-11247)影響、CVSSスコア、謝辞、その他の関連情報を含むセキュリティ問題の詳細については、「参照」セクションに記載されているCVEのページを参照してください。すべてのOpenShift Container Platform 3.10ユーザーは、これらの更新済みパッケージとイメージにアップグレードすることが推奨されます。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2019:2690

https://access.redhat.com/security/cve/cve-2019-9512

https://access.redhat.com/security/cve/cve-2019-9514

https://access.redhat.com/security/cve/cve-2019-11247

プラグインの詳細

深刻度: High

ID: 128849

ファイル名: redhat-RHSA-2019-2690.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/9/16

更新日: 2019/12/27

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2019-11247

VPR

リスクファクター: Medium

スコア: 5.2

CVSS v2

リスクファクター: Medium

Base Score: 6.5

Temporal Score: 4.8

ベクトル: AV:N/AC:L/Au:S/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.1

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:atomic-openshift, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-clients, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-clients-redistributable, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-docker-excluder, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-excluder, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-hyperkube, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-hypershift, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-master, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-node, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-pod, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-sdn-ovs, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-template-service-broker, p-cpe:/a:redhat:enterprise_linux:atomic-openshift-tests, cpe:/o:redhat:enterprise_linux:7

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/9/11

脆弱性公開日: 2019/8/13

参照情報

CVE: CVE-2019-11247, CVE-2019-9512, CVE-2019-9514

RHSA: 2019:2690